<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Lista de pacientes</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i>Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Pacientes</a>
            </li>
            <li class="breadcrumb-item active">Listado de pacientes</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="card">
          <div class="body">
            <div class="table-responsive">
              <div class="materialTableHeader noprint">
                <div class="row">
                  <div class="col-8">
                    <ul class="header-buttons-left ml-0">
                      <li class="dropdown">
                        <h2>
                          <strong>Pacientes</strong></h2>
                      </li>
                      <li class="dropdown m-l-20">
                        <label for="search-input"><i class="material-icons search-icon">search</i></label>
                        <input placeholder="Buscar" type="text" #filter class="browser-default search-field"
                          aria-label="Search box">
                      </li>
                    </ul>
                  </div>
                  <div class="col-4">
                    <ul class="header-buttons">
                      <li>
                        <div class="icon-button-demo">
                          <button mat-mini-fab color="primary" routerLink="/admin/patients/add-patient">
                            <mat-icon class="col-white">add</mat-icon>
                          </button>
                        </div>
                      </li>
                      <li>
                        <div class="icon-button-demo">
                          <button mat-mini-fab color="primary" (click)="refresh()">
                            <mat-icon class="col-white">refresh</mat-icon>
                          </button>
                        </div>
                      </li>
                      <li>
                        <div class="icon-button-demo">
                          <button mat-mini-fab color="primary" (click)="exportToExcel()">
                            <mat-icon class="col-white">call_made</mat-icon>
                          </button>
                        </div>
                      </li>
                      <li>
                        <div class="icon-button-demo">
                          <a mat-mini-fab color="primary" href="javascript:window.print('component1')">
                            <mat-icon class="col-white">print</mat-icon>
                          </a>
                        </div>
                      </li>
                    </ul>
                  </div>
                </div>
              </div>
              <div class="col-md-12 table-responsive" #epltable style="display: none;">
                <div style="padding-bottom: 10px;padding-top: 10px;">
                 <div class="row">
                  <div class="col-sm-12">
                  </div>
                 </div>
                </div>
                <table class="table table-bordered">
                 <thead class="thead-white">
                 <tr>
                  <th>
                    <div class="col-md-12 text-left">
                      <h6>Nombre</h6>
                  </div>
                  </th>
                  <th>
                    <div class="col-md-12 text-left">
                      <h6>Teléfono</h6>
                  </div>
                  </th>
                  <th>
                    <div class="col-md-12 text-left">
                      <h6>Fecha de Nacimiento</h6>
                  </div>
                  </th>
                  <th>
                    <div class="col-md-12 text-left">
                      <h6>Email</h6>
                  </div>
                  </th>
                  <th>
                    <div class="col-md-12 text-left">
                      <h6>Genero</h6>
                  </div>
                  </th>
                 </tr>
                </thead>
                <tbody>
                 <tr *ngFor="let tar of clientes">
                  <td>
                    <div class="col-md-12 text-left">
                      <span>{{tar.Nombre}} {{tar.Apellido}}</span>
                  </div>
                  </td>
                  <td>
                    <div class="col-md-12 text-left">
                      <span>{{tar.Celular}}</span>
                  </div>
                  </td>
                  <td>
                    <div class="col-md-12 text-left">
                      <span>{{tar.FechaNac}}</span>
                  </div>
                  </td>
                  <td>
                    <div class="col-md-12 text-left">
                      <span>{{tar.Correo}}</span>
                  </div>
                  </td>
                  <td>
                    <div class="col-md-12 text-left">
                      <span>{{tar.Genero}}</span>
                  </div>
                  </td>
                 </tr>
                </tbody>
               </table>
              </div>


              <mat-table #table [dataSource]="dataSource" id="component1" matSort class="mat-cell">
                <!-- Checkbox Column -->
                <ng-container matColumnDef="select">
                  <mat-header-cell *matHeaderCellDef [ngClass]="'tbl-col-width-per-6'" sty style="display: none;">
                    <mat-checkbox (change)="$event ? masterToggle() : null"
                      [checked]="selection.hasValue() && isAllSelected()"
                      [indeterminate]="selection.hasValue() && !isAllSelected()" [ngClass]="'tbl-checkbox'">
                    </mat-checkbox>
                  </mat-header-cell>
                  <mat-cell *matCellDef="let row" [ngClass]="'tbl-col-width-per-6'" style="display: none;">
                    <!-- <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null"
                      [checked]="selection.isSelected(row)" [ngClass]="'tbl-checkbox'">
                    </mat-checkbox> -->
                  </mat-cell>
                </ng-container>
                <!-- ID Column -->
                <ng-container matColumnDef="id">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Id</mat-header-cell>
                  <mat-cell *matCellDef="let row">{{row.idPacientes}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="img">
                  <mat-header-cell mat-header-cell *matHeaderCellDef [ngClass]="'tbl-col-width-per-5'">Imagen
                  </mat-header-cell>
                  <mat-cell mat-cell *matCellDef="let row" class="table-img tbl-col-width-per-5"> <img
                    src="https://animatiomx.com/odonto/imagenes/{{row.Imagen}}" />
                  </mat-cell>
                </ng-container>
                <ng-container matColumnDef="apellido">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Apelidos</mat-header-cell>
                  <mat-cell *matCellDef="let row">{{row.Apellido}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="name">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Nombres</mat-header-cell>
                  <mat-cell *matCellDef="let row">{{row.Nombre}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="mobile">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Celular</mat-header-cell>
                  <mat-cell *matCellDef="let row">{{row.Celular}}</mat-cell>
                </ng-container>
                <ng-container matColumnDef="gender">
                  <mat-header-cell *matHeaderCellDef mat-sort-header [ngClass]="'tbl-col-width-per-8'">Genero
                  </mat-header-cell>
                  <mat-cell *matCellDef="let row" [ngClass]="'tbl-col-width-per-8'"> {{row.Genero}}
                  </mat-cell>
                </ng-container>
                <ng-container matColumnDef="bGroup">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Dr.</mat-header-cell>
                  <mat-cell *matCellDef="let row"> {{row.Correo}}</mat-cell>
                </ng-container>
                <!-- <ng-container matColumnDef="treatment">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Tratamiento</mat-header-cell>
                  <mat-cell *matCellDef="let row"> {{row.treatment}}</mat-cell>
                </ng-container> -->
                <!-- actions -->
                <ng-container matColumnDef="actions">
                  <mat-header-cell *matHeaderCellDef class="pr-0">Editar/Eliminar</mat-header-cell>
                  <mat-cell *matCellDef="let row; let i=index;" class="pr-0">
                    <button mat-icon-button color="accent" class="btn-tbl-edit" (click)="$event.stopPropagation()" (click)="editCall(row)">
                      <mat-icon aria-label="Edit" class="col-white">edit</mat-icon>
                    </button>
                    <button mat-icon-button color="accent" class="btn-tbl-delete" (click)="$event.stopPropagation()" (click)="deleteItem(i, row)">
                      <mat-icon aria-label="Delete" class="col-white">delete</mat-icon>
                    </button>
                  </mat-cell>
                </ng-container>
                <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                <!-- <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row> -->
                <mat-row *matRowDef="let row; columns: displayedColumns;" routerLink="/admin/patients/all-patients/patient-profile/{{row.idPacientes}}/{{row.Nombre}} {{row.Apellido}}"
                  [style.cursor]="'pointer'" matRipple>
                </mat-row>
              </mat-table>
              <div class="no-results" [style.display]="dataSource.renderedData.length == 0 ? '' : 'none'">
                No results
              </div>
              <div class="noprint">
              <mat-paginator class="noprint" #paginator [length]="dataSource.filteredData.length" [pageIndex]="0" [pageSize]="10"
                [pageSizeOptions]="[5, 10, 25, 100]">
              </mat-paginator>
            </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
